package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.common.DateUtils;
import com.yunzhi.nanyang.common.StringUtils;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.mapper.TaOrderMapper;
import com.yunzhi.nanyang.service.ITaOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 订单表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaOrderServiceImpl extends BaseServiceImpl<TaOrderMapper, TaOrder> implements ITaOrderService {

    @Override
    public String getNextOrderNO() {
        String today = DateUtils.toString(LocalDateTime.now(), "yyyyMMdd");
        String prefix = "M-" + today;

        int next = baseMapper.getNextOrderNO(prefix);
        return prefix + StringUtils.lpad(String.valueOf(next), "0", 6);
    }
}
